#ifndef EDITBOXINFODIALOG_H
#define EDITBOXINFODIALOG_H

#include <QDialog>
#include "struct_/packinfo.h"

namespace Ui {
class EditBoxInfoDialog;
}

//TODO:小宋，编辑箱号
class EditBoxInfoDialog : public QDialog
{
    Q_OBJECT

public:
    explicit EditBoxInfoDialog(QSharedPointer<BoxInfo> & box,QWidget *parent = nullptr);
    ~EditBoxInfoDialog();

private slots:
    void on_pushClose_clicked();

    void on_pushSave_clicked();

private:
    Ui::EditBoxInfoDialog *ui;
    QSharedPointer<BoxInfo> _box;
};

#endif // EDITBOXINFODIALOG_H
